<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 01/14/2013 *
 * ===================                          Last change: 01/14/2013 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : mode-remove.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Steps for removal of ext-sql_patches             *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Schritte zum Entfernen von ext-sql_patches       *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Drop tables
addDropTableSql('admin_menu_las');
addDropTableSql('admin_menu_las_data');
addDropTableSql('admin_las_stats');
addDropTableSql('dns_cache');
addDropTableSql('server_name_log');

// Delete admin menu entries
addExtensionSql("DELETE LOW_PRIORITY FROM
	`{?_MYSQL_PREFIX?}_admin_menu`
WHERE
	`what`
IN (
	'config_extensions',
	'config_home',
	'list_unconfirmed',
	'config_refid',
	'config_title',
	'config_admin',
	'config_proxy',
	'config_session',
	'list_filter',
	'list_point_accounts'
)");

// Delete/update member menu entries
addExtensionSql("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_member_menu` WHERE
`what`='stats2' OR
(`action`='stats' AND (`what`='' OR `what` IS NULL)) OR
(`action`='extras' AND (`what`='' OR `what` IS NULL)) OR
(`action`='rals' AND (`what`='' OR `what` IS NULL)) OR
(`action`='account' AND (`what`='' OR `what` IS NULL)) OR
`action`='earn'");
addExtensionSql("UPDATE `{?_MYSQL_PREFIX?}_member_menu` SET `action`='main' WHERE
`action`='stats' OR
`action`='extras' OR
`action`='rals' OR
`action`='account'");

// Remove points data
unregisterExtensionPointsData('pool_payback');
unregisterExtensionPointsData('mail_deleted');
unregisterExtensionPointsData('admin_add_single');
unregisterExtensionPointsData('admin_add_all');

// Unregister filter
unregisterFilter(__FILE__, __LINE__, 'member_login_check', 'RESET_USER_LOGIN_FAILURE', TRUE, isExtensionDryRun());
unregisterFilter(__FILE__, __LINE__, 'add_history_entry', 'ADD_HISTORY_ENTRY', TRUE, isExtensionDryRun());
unregisterFilter(__FILE__, __LINE__, 'init', 'GENERATE_FILE_SECRET_HASH', TRUE, isExtensionDryRun());
unregisterFilter(__FILE__, __LINE__, 'extra_autopurge', 'SERVER_NAME_EXTRA_AUTOPURGE', TRUE, isExtensionDryRun());
unregisterFilter(__FILE__, __LINE__, 'determine_menu_mode', 'DETERMINE_MENU_MODE_GENERIC', TRUE, isExtensionDryRun());
unregisterFilter(__FILE__, __LINE__, 'config_userid_exclusion_sql', 'EXCLUDE_DEFAULT_REFID', TRUE, isExtensionDryRun());

// Remove modules
addExtensionSql("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_mod_reg` WHERE `module`='ajax'");

// [EOF]
?>
