<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 07/31/2003 *
 * ===================                          Last change: 08/02/2003 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : holiday_functions.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Functions for the admins extension               *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Funktionen fuer die admins-Erweiterung           *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Stops all expired holidays
function stopHolidays () {
	// Let's find some expired holiday requests...
	$result_stop = sqlQuery("SELECT
	`userid`,
	`holiday_start`,
	`holiday_end`,
	`comments`
FROM
	`{?_MYSQL_PREFIX?}_user_holidays`
WHERE
	`holiday_end` <= UNIX_TIMESTAMP()
ORDER BY
	`userid` ASC", __FUNCTION__, __LINE__);
	if (!ifSqlHasZeroNums($result_stop)) {
		// We foud at least one
		$admin = '';

		// Init SQLs
		initSqls();

		// Process all found entries
		while ($content = sqlFetchArray($result_stop)) {
			// Stop holiday
			addSql(sqlQueryEscaped("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_user_holidays` WHERE `userid`=%s LIMIT 1",
				array(bigintval($content['userid'])), __FUNCTION__, __LINE__, FALSE));

			// Unlock account
			addSql(sqlQueryEscaped("UPDATE
	`{?_MYSQL_PREFIX?}_user_data`
SET
	`holiday_active`='N',
	`holiday_activated`=0
WHERE
	`userid`=%s
LIMIT 1",
				array(bigintval($content['userid'])), __FUNCTION__, __LINE__, FALSE));

			// Prepare array
			$content = merge_array($content, array(
				'holiday_end'      => generateDateTime($content['holiday_end']  , 3),
				'holiday_start'    => generateDateTime($content['holiday_start'], 3),
				'holiday_comments' => $content['comments']
			));

			// Send mail to user
			$message = loadEmailTemplate('member_holiday_unlock', $content, $content['userid']);
			sendEmail($content['userid'], '{--MEMBER_HOLIDAY_UNLOCK_SUBJECT--}', $message);

			// Remember userid for admin
			$admin .= $content['userid'] . PHP_EOL;
		} // END - if

		// Send mail to admins
		sendAdminNotification('{--ADMIN_HOLIDAY_UNLOCK_SUBJECT--}', 'admin_holiday_unlock', $admin);

		// Run all SQLs
		runFilterChain('run_sqls');
	} // END - if

	// Free memory
	sqlFreeResult($result_stop);
}

// ----------------------------------------------------------------------------
//                 Wrapper functions for configuration entries
// ----------------------------------------------------------------------------

// Getter for user_alpha
function getHolidayLock () {
	// Is there cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = getConfig('holiday_lock');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// [EOF]
?>
