<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/05/2003 *
 * ===================                          Last change: 12/13/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-adminedit.php                               *
 * -------------------------------------------------------------------- *
 * Short description : Edit the admin menu                              *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Das Admin-Menue editieren                        *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Do we edit/delete/change main menus or sub menus?
$AND = "(`what` = '' OR `what` IS NULL)"; $subMenu = '';
if (isGetRequestElementSet('sub')) {
	$AND = sprintf("`action`='%s' AND `what` != '' AND `what` IS NOT NULL", getRequestElement('sub'));
	$subMenu = getRequestElement('sub');
} // END - if

// List all menu points and make them editable
if ((isFormSent('edit')) && (ifPostContainsSelections()) && (!isDemoModeActive())) {
	// Edit menu entries
	// @TODO Kill all constants in this file
	$content['sub'] = $subMenu;
	$content['chk'] = countPostSelection();
	$count = '0'; $OUT = '';
	foreach (postRequestElement('sel') as $sel => $confirm) {
		if ($confirm == 1) {
			$count++;
			$result = sqlQueryEscaped("SELECT `title`, `action`, `what`, `descr` FROM `{?_MYSQL_PREFIX?}_admin_menu` WHERE ".$AND." AND `id`=%s LIMIT 1",
				array(bigintval($sel)), __FILE__, __LINE__);
			if (sqlNumRows($result) == 1) {
				// Entry found so we load the stuff...
				$content = sqlFetchArray($result);

				// Prepare data for the row template
				$content = array(
					'action' => adminAddMenuSelectionBox('admin', 'action', 'sel_action[' . $sel . ']', $content['action']),
					'what'   => adminAddMenuSelectionBox('admin', 'what'  , 'sel_what['   . $sel . ']', $content['what']),
					'sel'    => $sel,
					'menu'   => $content['title'],
					'descr'  => $content['descr'],
					'count'  => $count,
				);

				// Load row template
				$OUT .= loadTemplate('admin_edit_admin_menu_row', TRUE, $content);
			} else {
				// Entry not found?
				$content = array(
					'sel' => $sel
				);

				// Load row template
				$OUT .= loadTemplate('admin_menu_404_row', TRUE, $content);
			}

			// Free result and switch color
			sqlFreeResult($result);
		} // END - if
	} // END - foreach

	$content['rows']  = $OUT;
	$content['sub']   = $subMenu;
	$content['chk']   = countPostSelection();
	$content['count'] = $count;

	// Load template
	loadTemplate('admin_edit_admin_menu_form', FALSE, $content);
} elseif ((isFormSent('delete')) && (ifPostContainsSelections()) && (!isDemoModeActive())) {
	// Prepare misc content
	$content['sub'] = $subMenu;
	$content['chk'] = countPostSelection();

	// Del menu entries with or without confirmation
	$count = '0'; $OUT = '';
	foreach (postRequestElement('sel') as $sel => $confirm) {
		if ($confirm == 1) {
			$count++;
			$result = sqlQueryEscaped("SELECT `title` FROM `{?_MYSQL_PREFIX?}_admin_menu` WHERE ".$AND." AND `id`=%s LIMIT 1",
				array(bigintval($sel)), __FILE__, __LINE__);
			if (sqlNumRows($result) == 1) {
				// Entry found so we load the stuff...
				$content = sqlFetchArray($result);

				// Prepare data for the row template
				$content = array(
					'menu'  => $content['title'],
					'count' => $count,
					'sel'   => $sel,
				);
				$OUT .= loadTemplate('admin_delete_admin_menu_row', TRUE, $content);
			} else {
				// Entry not found?
				$content = array(
					'sel' => $sel
				);
				$OUT .= loadTemplate('admin_menu_404_row', TRUE, $content);
			}
			sqlFreeResult($result);
		} // END - if
	} // END - switch

	$content['rows']  = $OUT;
	$content['sub']   = $subMenu;
	$content['chk']   = countPostSelection();
	$content['count'] = $count;

	// Load template
	loadTemplate('admin_delete_admin_menu', FALSE, $content);
} elseif ((isFormSent()) && (!isDemoModeActive())) {
	// An action is done...
	switch (postRequestElement('ok')) {
		case 'edit': // Edit menu
			foreach (postRequestElement('sel') as $sel => $menu) {
				// Secure id
				$sel = bigintval($sel);

				// Update entry
				sqlQueryEscaped("UPDATE
	`{?_MYSQL_PREFIX?}_admin_menu`
SET
	`title`='%s',
	`action`='%s',
	`what`='%s',
	`descr`='%s'
WHERE
	".$AND." AND
	`id`=%s
LIMIT 1",
				array(
					$menu,
					postRequestElement('sel_action', $sel),
					postRequestElement('sel_what', $sel),
					postRequestElement('sel_desc', $sel),
					$sel,
				), __FILE__, __LINE__);
			}

			// Load template
			displayMessage('{--SETTINGS_SAVED--}');
			break;

		case 'delete': // Delete menu
			foreach (postRequestElement('sel') as $sel => $menu) {
				sqlQueryEscaped("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_admin_menu` WHERE ".$AND." AND `id`=%s LIMIT 1",
					array(bigintval($sel)), __FILE__, __LINE__);
			} // END - foreach

			// Load template
			displayMessage('{--SETTINGS_SAVED--}');
			break;

		default: // Unexpected action
			logDebugMessage(__FILE__, __LINE__, sprintf('Unsupported action %s detected.', postRequestElement('ok')));
			displayMessage('{%message,ADMIN_UNKNOWN_OKAY=' . postRequestElement('ok') . '%}');
			break;
	} // END - switch
} else {
	// Handle weightning
	doAdminProcessMenuWeightning('admin', $AND);

	// Run SQL
	$result = sqlQuery("SELECT `id`, `action`, `what`, `title`, `sort` FROM `{?_MYSQL_PREFIX?}_admin_menu` WHERE ".$AND." ORDER BY `sort` ASC", __FILE__, __LINE__);

	// Are there entries?
	if (!ifSqlHasZeroNums($result)) {
		// Init variables
		$OUT = '';
		$count = '0';

		// Process all entries
		while ($content = sqlFetchArray($result)) {
			// Remember sub value
			$content['sub'] = $subMenu;

			// Count this entry
			$count++;

			// Init navigation variable
			$content['navi'] = '';
			if (($content['sort'] == '0') || (($content['sort'] == 1) && (!empty($subMenu)))) {
				// Is highest position
				$content['navi'] = '<a href="{%url=modules.php?module=admin&amp;what=adminedit&amp;sub=' . $content['sub'] . '&amp;act=' . $content['action'] . '&amp;w=' . $content['what'] . '&amp;tid=' . ($content['sort']+1) . '&amp;fid=' . $content['sort'] . '%}">{--LOWER--}</a>';
			} elseif (sqlNumRows($result) == $count) {
				// Is lowest position
				$content['navi'] = '<a href="{%url=modules.php?module=admin&amp;what=adminedit&amp;sub=' . $content['sub'] . '&amp;act=' . $content['action'] . '&amp;w=' . $content['what'] . '&amp;tid=' . ($content['sort']-1) . '&amp;fid=' . $content['sort'] . '%}">{--HIGHER--}</a>';
			} elseif ($content['sort'] > 0) {
				// Anything else between highest and lowest
				$content['navi'] = '<a href="{%url=modules.php?module=admin&amp;what=adminedit&amp;sub=' . $content['sub'] . '&amp;act=' . $content['action'] . '&amp;w=' . $content['what'] . '&amp;tid=' . ($content['sort']-1) . '&amp;fid=' . $content['sort'] . '%}">{--HIGHER--}</a>|<a href="{%url=modules.php?module=admin&amp;what=adminedit&amp;sub=' . $content['sub'] . '&amp;act=' . $content['action'] . '&amp;w=' . $content['what'] . '&amp;tid=' . ($content['sort']+1) . '&amp;fid=' . $content['sort'] . '%}">{--LOWER--}</a>';
			}

			// Add more data to $content
			$content['do'] = 'admin';

			// Load row template and switch colors
			$OUT .= loadTemplate('admin_menu_overview_row', TRUE, $content);
		} // END - switch

		// Remember all rows
		$content['rows'] = $OUT;
		$content['sub']  = $subMenu;

		// Free memory
		sqlFreeResult($result);

		// Load template
		loadTemplate('admin_edit_admin_menu', FALSE, $content);
	} else {
		// Menu entries are missing... (???)
		displayMessage('{--ADMIN_NO_MENUS_FOUND--}');
	}
}

//
?>
