<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 01/01/2013 *
 * ===================                          Last change: 01/01/2013 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_network.php                          *
 * -------------------------------------------------------------------- *
 * Short description : Configuration for ext-network                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Konfiguration der Erweiterung ext-network        *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if (isFormSent('save_config')) {
	// Save data
	adminSaveSettingsFromPostData();
} else {
	// Prepare content
	$content['network_cache_refresh'] = createConfigurationTimeSelections('network_cache_refresh', 'Dhm');
	$content['network_logging_purge'] = createConfigurationTimeSelections('network_logging_purge', 'WDh');

	// Init Y/N selections
	foreach (array('network_logging_debug') as $key) {
		$content[$key . '_y'] = '';
		$content[$key . '_n'] = '';
	} // END - foreach

	// Add actual config
	$content = merge_array($content, getSelectedConfig(array('network_logging_debug')));

	// Load template
	loadTemplate('admin_config_network', FALSE, $content);
}

// [EOF]
?>
