<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/28/2003 *
 * ===================                          Last change: 12/13/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-guestedit.php                               *
 * -------------------------------------------------------------------- *
 * Short description : Edit guest's menu                                *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Menue fuer die Gaeste editieren                  *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Do we edit/delete/change main menus or sub menus?
$AND = "(`what` = '' OR `what` IS NULL)"; $subMenu = '';

if (isGetRequestElementSet('sub')) {
	$AND = sprintf("`action`='%s' AND `what` IS NOT NULL", getRequestElement('sub'));
	$subMenu = getRequestElement('sub');
} // END - if

// List all menu points and make them editable
if ((isFormSent('edit')) && (ifPostContainsSelections()) && (!isDemoModeActive())) {
	// Edit menu entries
	$content['sub'] = $subMenu;
	$content['chk'] = countPostSelection();

	$count = '0'; $OUT = '';
	foreach (postRequestElement('sel') as $sel => $confirm) {
		if ($confirm == 1) {
			$count++;
			$result = sqlQueryEscaped("SELECT `title`, `action`, `what` FROM `{?_MYSQL_PREFIX?}_guest_menu` WHERE ".$AND." AND `id`=%s LIMIT 1",
				array(bigintval($sel)), __FILE__, __LINE__);
			if (sqlNumRows($result) == 1) {
				// Entry found so we load the stuff...
				$content = sqlFetchArray($result);

				// Prepapre content
				$content = array(
					'count'  => $count,
					'sel'    => $sel,
					'action' => adminAddMenuSelectionBox('guest', 'action', 'sel_action[' . $sel . ']', $content['action']),
					'what'   => adminAddMenuSelectionBox('guest', 'what'  , 'sel_what['   . $sel . ']', $content['what']),
					'menu'   => $content['title'],
					'sub'    => $subMenu
				);

				// Load row template
				$OUT .= loadTemplate('admin_edit_guest_menu_row', TRUE, $content);
			} else {
				// Entry not found
				$content = array(
					'sel' => $sel
				);
				$OUT .= loadTemplate('admin_menu_404_row', TRUE, $content);
			}

			// Free result and switch color
			sqlFreeResult($result);
		} // END - if
	} // END - foreach

	$content['rows']  = $OUT;
	$content['chk']   = countPostSelection();
	$content['sub']   = $subMenu;
	$content['count'] = $count;

	// Load template
	loadTemplate('admin_edit_guest_menu_form', FALSE, $content);
} elseif ((isFormSent('delete')) && (ifPostContainsSelections()) && (!isDemoModeActive())) {
	// Del menu entries with or without confirmation
	$content['sub'] = $subMenu;
	$content['chk'] = countPostSelection();

	$count = '0';
	$OUT = '';

	foreach (postRequestElement('sel') as $sel => $confirm) {
		if ($confirm == 1) {
			$count++;
			$result = sqlQueryEscaped("SELECT `title` FROM `{?_MYSQL_PREFIX?}_guest_menu` WHERE ".$AND." AND `id`=%s LIMIT 1",
				array(bigintval($sel)), __FILE__, __LINE__);
			if (sqlNumRows($result) == 1) {
				// Entry found so we load the stuff...
				$content = sqlFetchArray($result);
				$content = array(
					'count' => $count,
					'menu'  => $content['title'],
					'sel'   => $sel,
				);
				$OUT .= loadTemplate('admin_delete_guest_menu_row', TRUE, $content);
			} else {
				// Entry not found?
				$content = array(
					'sel' => $sel
				);
				$OUT .= loadTemplate('admin_menu_404_row', TRUE, $content);
			}
			sqlFreeResult($result);
		} // END - if
	} // END - foreach

	$content['rows']  = $OUT;
	$content['chk']   = countPostSelection();
	$content['sub']   = $subMenu;
	$content['count'] = $count;

	// Load template
	loadTemplate('admin_delete_guest_menu', FALSE, $content);
} elseif ((isPostRequestElementSet('status')) && (ifPostContainsSelections()) && (!isDemoModeActive())) {
	// Change status (visible / locked)
	$content['sub'] = $subMenu;
	$content['chk'] = countPostSelection();

	// Load template
	$count = '0'; $OUT = '';
	foreach (postRequestElement('sel') as $sel => $confirm) {
		if ($confirm == 1) {
			$count++;
			$result = sqlQueryEscaped("SELECT `title`, `visible`, `locked` FROM `{?_MYSQL_PREFIX?}_guest_menu` WHERE ".$AND." AND `id`=%s LIMIT 1",
				array(bigintval($sel)), __FILE__, __LINE__);
			if (sqlNumRows($result) == 1) {
				// Entry found so we load the stuff...
				$content = sqlFetchArray($result);
				$content = array(
					'count'   => $count,
					'menu'    => $content['title'],
					'sel'     => $sel,
					'visible' => addSelectionBox('yn', $content['visible'], 'visible', $sel),
					'locked'  => addSelectionBox('yn', $content['locked'] , 'locked' , $sel),
				);

				// Load template
				$OUT .= loadTemplate('admin_menu_status_row', TRUE, $content);
			} else {
				// Entry not found?
				$content = array(
					'sel' => $sel
				);
				$OUT .= loadTemplate('admin_menu_404_row', TRUE, $content);
			}

			sqlFreeResult($result);
		} // END - if
	} // END - foreach

	$content['rows']  = $OUT;
	$content['chk']   = countPostSelection();
	$content['sub']   = $subMenu;
	$content['count'] = $count;

	// Load template
	loadTemplate('admin_guest_menu_status', FALSE, $content);
} elseif ((isFormSent()) && (!isDemoModeActive())) {
	// An action is done...
	adminProcessMenuEditForm('guest', $subMenu);
} else {
	// Handle weightning
	doAdminProcessMenuWeightning('guest', $AND);

	// By default list menus
	if (empty($subMenu)) {
		// List only main menus
		$result = sqlQuery("SELECT `id`, `action`, `what`, `title`, `sort` FROM `{?_MYSQL_PREFIX?}_guest_menu` WHERE (`what`='' OR `what` IS NULL) ORDER BY `sort` ASC", __FILE__, __LINE__);
	} else {
		// List sub menus
		$result = sqlQueryEscaped("SELECT `id`, `action`, `what`, `title`, `sort` FROM `{?_MYSQL_PREFIX?}_guest_menu` WHERE `action`='%s' AND `what` != '' AND `what` IS NOT NULL ORDER BY `sort` ASC",
			array($subMenu), __FILE__, __LINE__);
	}

	// Are there entries?
	if (!ifSqlHasZeroNums($result)) {
		// Init variables
		$count = '0';
		$OUT = '';

		// Process all menu entries
		while ($content = sqlFetchArray($result)) {
			// Set sub value
			$content['sub'] = $subMenu;

			$count++;
			if (($content['sort'] == '0') || (($content['sort'] == 1) && (!empty($subMenu)))) {
				// Is highest position
				$NAVI = '<a href="{%url=modules.php?module=admin&amp;what=guestedit&amp;sub=' . $content['sub'] . '&amp;act=' . $content['action'] . '&amp;w=' . $content['what'] . '&amp;tid=' . ($content['sort']+1) . '&amp;fid=' . $content['sort'] . '%}">{--LOWER--}</a>';
			} elseif (sqlNumRows($result) == $count) {
				// Is lowest position
				$NAVI = '<a href="{%url=modules.php?module=admin&amp;what=guestedit&amp;sub=' . $content['sub'] . '&amp;act=' . $content['action'] . '&amp;w=' . $content['what'] . '&amp;tid=' . ($content['sort']-1) . '&amp;fid=' . $content['sort'] . '%}">{--HIGHER--}</a>';
			} elseif ($content['sort'] > 0) {
				// Anything else between highest and lowest
				$NAVI = '<a href="{%url=modules.php?module=admin&amp;what=guestedit&amp;sub=' . $content['sub'] . '&amp;act=' . $content['action'] . '&amp;w=' . $content['what'] . '&amp;tid=' . ($content['sort']-1) . '&amp;fid=' . $content['sort'] . '%}">{--HIGHER--}</a>|<a href=\"{%url=modules.php?module=admin&amp;what=guestedit&amp;sub=' . $content['sub'] . '&amp;act=' . $content['action'] . '&amp;w=' . $content['what'] . '&amp;tid=' . ($content['sort']+1) . '&amp;fid=' . $content['sort'] . '%}">{--LOWER--}</a>';
			}

			// Prepapre content
			$content = array(
				'id'     => $content['id'],
				'action' => $content['action'],
				'what'   => $content['what'],
				'title'  => $content['title'],
				'navi'   => $NAVI,
				'do'     => 'guest'
			);

			// Load row template
			$OUT .= loadTemplate('admin_menu_overview_row', TRUE, $content);
		} // END - while

		// Add rows/sub
		$content['rows'] = $OUT;
		$content['sub']  = $subMenu;

		// Free memory
		sqlFreeResult($result);

		// Load template
		loadTemplate('admin_edit_guest_menu', FALSE, $content);
	} else {
		// Menu entries are missing... (???)
		displayMessage('{--ADMIN_NO_MENUS_FOUND--}');
	}
}

// [EOF]
?>
