<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 04/30/2005 *
 * ===================                          Last change: 04/30/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_country.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Manage country codes                             *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Country codes verwalten                          *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Add new code?
if ((isFormSent('add')) && (isPostRequestElementSet('code')) && (isPostRequestElementSet('descr'))) {
	// Check if country code does already exist
	$result = sqlQueryEscaped("SELECT `id` FROM `{?_MYSQL_PREFIX?}_countries` WHERE `code`='%s' LIMIT 1",
	array(strtoupper(postRequestElement('code'))), __FILE__, __LINE__);
	if (ifSqlHasZeroNums($result)) {
		// Save entry
		sqlQueryEscaped("INSERT INTO `{?_MYSQL_PREFIX?}_countries` (`code`, `descr`, `is_active`) VALUES ('%s','%s','%s')",
		array(
			strtoupper(substr(postRequestElement('code'), 0, 2)),
			postRequestElement('descr'),
			postRequestElement('is_active')
		), __FILE__, __LINE__);

		// Country added
		$message = '{%message,ADMIN_COUNTRY_ADDED=' . strtoupper(postRequestElement('descr')) . '%}';
	} else {
		// Free memory
		sqlFreeResult($result);

		// Does already exist
		$message = '{%message,ADMIN_COUNTRY_ALREADY=' . strtoupper(postRequestElement('code')) . '%}';
	}

	// Display message
	displayMessage($message);
} elseif ((isFormSent('do_edit')) && (isPostRequestElementSet('id'))) {
	// Change all status
	adminChangeActivationStatus(postRequestElement('id'), 'countries', 'is_active');

	// Show next link
	loadTemplate('admin_next_link', FALSE, array(
		'url'   => 'modules.php?module=admin&amp;what=list_country',
		'title' => '{--ADMIN_COUNTRY_ACTIVATION_NEXT_LINK--}'
	));
} elseif (((isFormSent('edit')) || (isPostRequestElementSet('delete'))) && (isPostRequestElementSet('id'))) {
	// Are there entries?
	if (ifPostContainsSelections('id')) {
		// Is the proper form sent?
		if (isFormSent('edit')) {
			// Edit template
			$row    = 'admin_edit_country_row';
			$do     = 'do_edit';
			$class  = 'form_submit';
			$submit = '{--ADMIN_COUNTRY_EDIT_NOW--}';
			$title  = '{--ADMIN_COUNTRY_EDIT_TITLE--}';
			$reset  = '<input type="reset" class="form_reset" value="{--UNDO_SELECTIONS--}" /> ';
		} else {
			// Delete template
			$row    = 'admin_delete_country_row';
			$do     = 'do_delete';
			$class  = 'form_delete';
			$submit = '{--ADMIN_COUNTRY_DELETE_NOW--}';
			$title  = '{--ADMIN_COUNTRY_DELETE_TITLE--}';
			$reset  = '';
		}

		// Edit all selected country codes
		$OUT = '';
		foreach (postRequestElement('id') as $id => $isActive) {
			// Load data from DB
			$result = sqlQueryEscaped("SELECT `id`, `code`, `descr` FROM `{?_MYSQL_PREFIX?}_countries` WHERE `id`=%s LIMIT 1",
				array(bigintval($id)), __FILE__, __LINE__);
			if (sqlNumRows($result) == 1) {
				// Load data
				$content = sqlFetchArray($result);

				// Add $isActive
				$content['is_active'] = $isActive;

				// Insert row template and switch color
				$OUT .= loadTemplate($row, TRUE, $content);
			} // END - if

			// Free result
			sqlFreeResult($result);
		} // END - foreach

		// Prepare content for template
		$content = array(
			'rows'   => $OUT,
			'do'     => $do,
			'class'  => $class,
			'title'  => $title,
			'submit' => $submit,
			'reset'  => $reset,
		);

		// Load main template
		loadTemplate('admin_list_country_form', FALSE, $content);
	} // END - if
} else {
	// Shall we modify / remove entries now?
	$message = '';
	initSqls();
	if ((isPostRequestElementSet('do_edit')) && (isPostRequestElementSet('id'))) {
		// Modify
		foreach (postRequestElement('id') as $id => $sel) {
			addSql("UPDATE
	`{?_MYSQL_PREFIX?}_countries`
SET
	`code`='" . postRequestElement('code', $id) . "',
	`descr`='" . postRequestElement('descr', $id) . "',
	`is_active`='" . postRequestElement('is_active', $id) . "'
WHERE
	`id`=" . bigintval($id) . "
LIMIT 1");
		} // END - foreach

		// Create message
		$message = '{--ADMIN_COUNTRIES_MODIFIED--}';
	} elseif ((isFormSent('do_delete')) && (isPostRequestElementSet('id'))) {
		// Remove
		$IDs = implode(',', array_keys(postRequestElement('id')));
		addSql('DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_countries` WHERE `id` IN (' . $IDs . ') LIMIT ' . countPostSelection('id') . '');

		// Create message
		$message = '{--ADMIN_COUNTRIES_REMOVED--}';
	}

	// Are a message and some SQLs set?
	if ((!empty($message)) && (countSqls() > 0)) {
		// Run SQL commands
		runFilterChain('run_sqls');

		// Display message
		displayMessage($message);
	} // END - if

	// Load currenty setup country codes to list
	$result = sqlQuery('SELECT `id`, `code`, `descr`, `is_active` FROM `{?_MYSQL_PREFIX?}_countries` ORDER BY `code` ASC',
		__FILE__, __LINE__);

	// Are there entries?
	if (!ifSqlHasZeroNums($result)) {
		// List all countries
		$OUT = '';
		while ($content = sqlFetchArray($result)) {
			// Load row template and switch colors
			$OUT .= loadTemplate('admin_list_country_row', TRUE, $content);
		} // END - while

		// Free memory
		sqlFreeResult($result);
	} else {
		// No code setup so far (not possible by this software! 'DE' for 'Deutschland' is default
		$OUT = loadTemplate('admin_list_country_no_row', TRUE);
	}

	// Add list to constant for the template
	$content['rows'] = $OUT;

	// Load main template
	loadTemplate('admin_list_country', FALSE, $content);
}

// [EOF]
?>
