<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/07/2008 *
 * ===================                          Last change: 10/07/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_notifications.php                      *
 * -------------------------------------------------------------------- *
 * Short description : See all notification emails (beg/active rallye)  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Alle Benachrichtigungen sehen (Bettel-/Aktiv-R.) *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Init variables
$SQL2 = '';
$result_max = FALSE;

// Set offset an current page to default values
if (!isGetRequestElementSet('page'))   setGetRequestElement('page'  , 1);
if (!isGetRequestElementSet('offset')) setGetRequestElement('offset', getMailsPage());

if (isExtensionActive('bonus')) {
	// Bonus mails sent by you
	$SQL2 = "SELECT
	`id`, `subject`, `text`, `receivers`, `points`, `time`, `data_type`, `timestamp`, `url`, `cat_id`, `target_send`,
	`mails_sent`, `clicks`, (`mails_sent` - `clicks`) AS `unconfirmed`
FROM
	`{?_MYSQL_PREFIX?}_bonus`
WHERE
	`is_notify`='Y'
ORDER BY
	`timestamp` DESC";

	// Check for maximum pages
	$result_max = sqlQuery($SQL2, __FILE__, __LINE__);
} else {
	// Bonus extension required!
	displayMessage('{%pipe,generateExtensionInactiveNotInstalledMessage=bonus%}');
}

// Create limitation line
$add = ' LIMIT ' . (bigintval(getRequestElement('offset')) * bigintval(getRequestElement('page')) - bigintval(getRequestElement('offset'))) . ', ' . bigintval(getRequestElement('offset'));

// Add limitation
if (!empty($SQL2)) $SQL2 .= $add;

if ((isExtensionActive('bonus')) && (!ifSqlHasZeroNums($result_max)) && (!empty($SQL2))) {
	// Run SQL query for notification mails
	$result_bonus = sqlQuery($SQL2, __FILE__, __LINE__);

	// Load bonus mails only when extension is active
	if (!ifSqlHasZeroNums($result_bonus)) {
		// Calculate pages
		$numPages = round(sqlNumRows($result_bonus) / getMailsPage() + 0.5);

		// List emails
		$OUT = ''; $content = array();
		while ($content = sqlFetchArray($result_bonus)) {
			// Add "unconfirmed-link"
			$content['unconfirmed_content'] = generateUnconfirmedAdminLink($content['id'], $content['unconfirmed'], 'bonus');

			// Prepare content
			$content['timestamp']   = generateDateTime($content['timestamp'], 0);

			// Load row template
			$OUT .= loadTemplate('admin_list_notify_emails_row', TRUE, $content);
		} // END - if

		// Add navigation (without change box but with colspan=3)
		$content['nav'] = addEmailNavigation($numPages, getMailsPage(), FALSE, 3, TRUE);

		// Prepare content
		$content['rows'] = $OUT;

		// Load main template
		loadTemplate('admin_list_notify_emails', FALSE, $content);
	}
} elseif ((sqlNumRows($result_max) === 0) && (is_resource($result_max))) {
	// No notifications found
	displayMessage('{--ADMIN_NO_NOTIFICATIONS--}');
}

// [EOF]
?>
