<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 07/03/2004 *
 * ===================                          Last change: 08/22/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_rallye_prices.php                    *
 * -------------------------------------------------------------------- *
 * Short description : Setup rallye prices                              *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Rallye-Preise einrichten                         *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	exit();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if (isGetRequestElementSet('rallye_id')) {
	// Price submitted?
	if (isFormSent('add')) {
		if ((isPostRequestElementSet('level')) && ((isPostRequestElementSet('points')) || (isPostRequestElementSet('info')))) {
			// Submitted data is valid, but maybe we already have this price level?
			$result = sqlQueryEscaped("SELECT `id` FROM `{?_MYSQL_PREFIX?}_rallye_prices` WHERE `rallye_id`=%s AND `price_level`='%s' LIMIT 1",
			array(bigintval(getRequestElement('rallye_id')), bigintval(postRequestElement('level'))), __FILE__, __LINE__);

			if (ifSqlHasZeroNums($result)) {
				// Ok, new price level entered!
				sqlQueryEscaped("INSERT INTO
	`{?_MYSQL_PREFIX?}_rallye_prices`
(`rallye_id`, `price_level`, `points`, `info`)
	VALUES
(%s, %s, '%s', '%s')",
				array(
					bigintval(getRequestElement('rallye_id')),
					bigintval(postRequestElement('level')),
					convertCommaToDot(postRequestElement('points')),
					postRequestElement('info')
				), __FILE__, __LINE__);
				displayMessage('{--ADMIN_RALLYE_PRICE_LEVEL_SAVED--}');
			} else {
				// Free memory
				sqlFreeResult($result);

				// Price level found
				displayMessage('{--ADMIN_RALLYE_PRICE_ALREADY_FOUND--}');
			}
		}
	} elseif (isFormSent('do_delete')) {
		// Check if at last one line is selected
		if (ifPostContainsSelections()) {
			// Delete selected entries
			foreach (postRequestElement('sel') as $id => $sel) {
				sqlQueryEscaped("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_rallye_prices` WHERE `id`=%s LIMIT 1",
					array(bigintval($id)), __FILE__, __LINE__);
			} // END - foreach

			// Output message
			displayMessage('{--ADMIN_RALLYE_PRICES_DELETED--}');
		} else {
			displayMessage('{--ADMIN_RALLYE_PRICES_NOT_DELETED--}');
		}
	} elseif (isFormSent('do_edit')) {
		// Change entries
		foreach (postRequestElement('level') as $id => $level) {
			// Secure id
			$id = bigintval($id);

			// Update entry
			sqlQueryEscaped("UPDATE
	`{?_MYSQL_PREFIX?}_rallye_prices`
SET
	`rallye_id`=%s,
	`price_level`=%d,
	`points`=%s,
	`info`='%s'
WHERE
	`id`=%s
LIMIT 1",
				array(
					postRequestElement('rallye_id', $id),
					bigintval($level),
					convertCommaToDot(postRequestElement('points', $id)),
					postRequestElement('info', $id),
					$id
				), __FILE__, __LINE__);
		}

		// Output message
		displayMessage('{--ADMIN_RALLYE_PRICES_CHANGED--}');
	}

	if (isFormSent('edit')) {
		// Check if at last one line is selected
		if (ifPostContainsSelections()) {
			// Make selected editable
			$OUT = '';
			foreach (postRequestElement('sel') as $id => $sel) {
				// Load data to selected rallye
				$result = sqlQueryEscaped("SELECT
	`id`,
	`rallye_id`,
	`price_level`,
	`points`,
	`info`
FROM
	`{?_MYSQL_PREFIX?}_rallye_prices`
WHERE
	`id`=%s
LIMIT 1",
					array(bigintval($id)), __FILE__, __LINE__);

				// Fetch data
				$content = sqlFetchArray($result);

				// Free result
				sqlFreeResult($result);

				// Add more content
				$content['rallye_content'] = generateOptions('rallye_data', 'id', 'title', $content['rallye_id']);

				// Load row template and switch color
				$OUT .= loadTemplate('admin_edit_rallye_prices_row', TRUE, $content);
			} // END - foreach

			// Remember row content
			$content['rows'] = $OUT;

			// Prepare data for the main template
			$content['rallye_id'] = bigintval(getRequestElement('rallye_id'));

			// Load main template
			loadTemplate('admin_edit_rallye_prices', FALSE, $content);
		} else {
			// Nothing selected
			displayMessage('{%message,ADMIN_RALLYE_NO_PRICES_SELECTED=' . getRequestElement('rallye_id') . '%}');
		}
	} elseif (isFormSent('delete')) {
		// Check if at last one line is selected
		if (ifPostContainsSelections()) {
			// List all prices
			$OUT = '';
			foreach (postRequestElement('sel') as $id => $sel) {
				// Load data to selected rallye
				$result = sqlQueryEscaped("SELECT
	`id`,
	`rallye_id`,
	`price_level`,
	`points`,
	`info`
FROM
	`{?_MYSQL_PREFIX?}_rallye_prices`
WHERE
	`id`=%s
LIMIT 1",
					array(bigintval($id)), __FILE__, __LINE__);

				// Fetch data
				$content = sqlFetchArray($result);

				// Free result
				sqlFreeResult($result);

				// Load row template and switch color
				$OUT .= loadTemplate('admin_delete_rallye_prices_row', TRUE, $content);
			} // END - foreach
			$content['rows'] = $OUT;

			// Prepare data for the main template
			$content['rallye_id'] = bigintval(getRequestElement('rallye_id'));

			// Load main template
			loadTemplate('admin_delete_rallye_prices', FALSE, $content);
		} else {
			// Nothing selected
			$content = '{--RALLYE_NO_PRICES_SELECTED_1--}<a href="{%url=modules.php?module=admin&amp;what=list_rallye_prices&amp;rallye_id=' . getRequestElement('rallye_id') . '%}">{--RALLYE_NO_PRICES_SELECTED_2--}</a>{--RALLYE_NO_PRICES_SELECTED_3--}';
			displayMessage($content);
		}
	} else {
		// A rallye was selected, so check if there are already prices assigned...
		$result = sqlQueryEscaped("SELECT `id`, `price_level`, `points`, `info` FROM `{?_MYSQL_PREFIX?}_rallye_prices` WHERE `rallye_id`=%s ORDER BY `price_level` ASC",
			array(bigintval(getRequestElement('rallye_id'))), __FILE__, __LINE__);

		if (!ifSqlHasZeroNums($result)) {
			// Load all prices for the selected rallye
			$OUT = '';
			while ($content = sqlFetchArray($result)) {
				// Load row template and switch color
				$OUT .= loadTemplate('admin_list_rallye_prices_simple_row', TRUE, $content);
			} // END - while

			// Free memory
			sqlFreeResult($result);

			// @TODO Rewrite these two constants
			$content['rows'] = $OUT;

			// Prepare data for the main template
			$content['rallye_id'] = bigintval(getRequestElement('rallye_id'));

			// Load main template
			loadTemplate('admin_list_rallye_prices_simple', FALSE, $content);
		} // END - if
	}

	// Add form for adding new price level
	if ((!isFormSent('edit')) && (!isFormSent('delete'))) {
		loadTemplate('admin_add_rallye_prices', FALSE, getRequestElement('rallye_id'));
	} // END - if
} else {
	// No rallye selected so display all available without prices
	$result = sqlQuery("SELECT
	`d`.`id` AS `rallye_id`,
	`d`.`admin_id`,
	`d`.`start_time`,
	`d`.`end_time`,
	`d`.`title`,
	`a`.`login`,
	`d`.`is_active`
FROM
	`{?_MYSQL_PREFIX?}_rallye_data` AS `d`
LEFT JOIN
	`{?_MYSQL_PREFIX?}_admins` AS `a`
ON
	`d`.`admin_id`=`a`.`id`
ORDER BY
	`d`.`start_time` DESC", __FILE__, __LINE__);
	if (!ifSqlHasZeroNums($result)) {
		// List found rallyes
		$OUT = '';
		while ($content = sqlFetchArray($result)) {
			// Prepare data for the row template
			$content['start_time'] = generateDateTime($content['start_time'], '3');
			$content['end_time']   = generateDateTime($content['end_time']  , '3');

			// Load row template and switch color
			$OUT .= loadTemplate('admin_list_rallye_prices_row', TRUE, $content);
		} // END - while

		// Free memory
		sqlFreeResult($result);

		// Load main template
		loadTemplate('admin_list_rallye_prices', FALSE, $OUT);
	} else {
		// No rallyes setup so far
		displayMessage('{--ADMIN_RALLYE_NO_RALLYES_SETUP--}');
	}
}

// [EOF]
?>
