<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/28/2003 *
 * ===================                          Last change: 08/05/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-send_bonus.php                              *
 * -------------------------------------------------------------------- *
 * Short description : Send out bonus mails to all members              *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : An alle Mitglieder Bonus-Mails verschicken       *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if (!isExtensionActive('order')) {
	displayMessage('{%pipe,generateExtensionInactiveNotInstalledMessage=order%}');
	return;
} // END - if

// mail_mode is not set by default
if (!isGetRequestElementSet('mail_mode')) {
	// Is HTML extension enabled?
	if (isExtensionInstalled('html_mail')) {
		// Set empty mode to 'select'
		setGetRequestElement('mail_mode', 'select');
	} else {
		// Set empty mode to 'normal'
		setGetRequestElement('mail_mode', 'normal');
	}
} // END - if

if (isFormSent()) {
	// Deliver bonus mail
	addNewBonusMail(postRequestArray(), getRequestElement('mail_mode'));
} else {
	// Store send mode
	$content['mail_mode'] = getRequestElement('mail_mode');

	$content['html_select'] = '';
	if (isExtensionActive('html_mail')) {
		// If HTML extension is active
		$content['html_select'] = loadTemplate('admin_send_bonus_html', TRUE);
	} // END - if

	// Default template name is an invalid one
	$template = 'admin_send_bonus_invalid';

	// Select template
	switch(getRequestElement('mail_mode')) {
		case 'html':   // HTML mails
		case 'normal': // Normal mails
			$template = 'admin_send_bonus_form';
			break;

		case 'select': // Selection
			$template = 'admin_send_bonus_select';
			break;
	} // END - switch

	// Load template
	loadTemplate($template, FALSE, $content);
}

// [EOF]
?>
