<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/17/2008 *
 * ===================                          Last change: 09/17/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_surfbar.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Surfbar URL statistics                           *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Surfbar-Statistiken                              *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	exit();
} elseif (!isMember()) {
	redirectToIndexMemberOnlyModule();
}

// Add description as navigation point
addYouAreHereLink('member', __FILE__);

if ((!isExtensionActive('surfbar')) && (!isAdmin())) {
	displayMessage('{%pipe,generateExtensionInactiveNotInstalledMessage=surfbar%}');
	return;
} // END - if

// Load user URLs
$urlArray = getSurfbarUserUrls();

// Are there entries or form is submitted?
if ((isFormSent()) && (isPostRequestElementSet('action')) && (isPostRequestElementSet('url_id'))) {
	// Process the form
	if (doSurfbarMemberByFormData(postRequestArray(), $urlArray)) {
		// Action performed but shall we display it?
		if (((postRequestElement('action') != 'edit') && (postRequestElement('action') != 'delete')) || (isPostRequestElementSet('execute'))) {
			// Display "action done" message if action is whether 'edit' nor 'delete' or has been executed
			displayMessage('{--MEMBER_SURFBAR_ACTION_DONE--}');
		} // END - if
	} else {
		// Something went wrong
		displayMessage('{--MEMBER_SURFBAR_ACTION_FAILED--}');
	}
} elseif (count($urlArray) > 0) {
	// List all URLs
	$OUT = '';
	foreach ($urlArray as $id => $content) {
		// "Translate"/insert data
		if ($content['url_views_total'] > 0) {
			// Include link to stats
			$content['url_views_total'] = '[<a href="{%url=modules.php?module=login&amp;what=list_surfbar%}">{%pipe,translateComma=' . $content['url_views_total'] . '%}</a>]';
		} // END - if
		$content['url_registered']  = generateDateTime($content['url_registered'], '2');
		$content['url_last_locked'] = generateDateTime($content['url_last_locked'], '2');
		$content['actions']         = generateSurfbarMemberActions($content['url_id'], $content['url_status']);

		// Load row template
		$OUT .= loadTemplate('member_list_surfbar_row', TRUE, $content);
	} // END - foreach

	// Load main template
	loadTemplate('member_list_surfbar', FALSE, $OUT);
} else {
	// No URLs booked so far
	displayMessage('{--MEMBER_SURFBAR_NO_URLS_FOUND--}');
}

// [EOF]
?>
